AI
conversation AI, voice AI, agent studio, knowledge base & phone system APIs
Retrieves all FAQ entries for the specified knowledge base.
cURL
curl --request GET \ --url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/faqs \ --header 'Authorization: Bearer <token>' \ --header 'Version: <version>'
{ "faqs": [ { "id": "faq_abc123", "knowledgeBaseId": "kb_abc123def456", "question": "How do I reset my password?", "answer": "Navigate to Settings > Security and click Reset Password.", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "total": 123 }
Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28
The knowledge base ID to list FAQs for
"kb_abc123def456"
FAQs retrieved successfully
List of FAQ entries
Show child attributes
Total number of FAQs
Was this page helpful?